public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-php/PEAR-Var_Dump/
@ 2017-01-08 22:14 Michael Orlitzky
  0 siblings, 0 replies; 5+ messages in thread
From: Michael Orlitzky @ 2017-01-08 22:14 UTC (permalink / raw
  To: gentoo-commits

commit:     8e74e1a9f1c1e28802aca0229bf65e491081c0e0
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Sun Jan  8 22:11:43 2017 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Sun Jan  8 22:11:59 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8e74e1a9

dev-php/PEAR-Var_Dump: new EAPI=6 revision sans the php-pear-r1 eclass.

With our own (non-eclass) src_install, we actually install the docs in
the correct place. I've added a test suite but was forced to restrict
it because of some deprecation warnings.

Package-Manager: portage-2.3.0

 .../PEAR-Var_Dump/PEAR-Var_Dump-1.0.4-r1.ebuild    | 22 -----------
 .../PEAR-Var_Dump/PEAR-Var_Dump-1.0.4-r2.ebuild    | 44 ++++++++++++++++++++++
 2 files changed, 44 insertions(+), 22 deletions(-)

diff --git a/dev-php/PEAR-Var_Dump/PEAR-Var_Dump-1.0.4-r1.ebuild b/dev-php/PEAR-Var_Dump/PEAR-Var_Dump-1.0.4-r1.ebuild
deleted file mode 100644
index 19808a2..00000000
--- a/dev-php/PEAR-Var_Dump/PEAR-Var_Dump-1.0.4-r1.ebuild
+++ /dev/null
@@ -1,22 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-inherit php-pear-r1
-
-DESCRIPTION="Provides methods for dumping structured information about a variable"
-
-LICENSE="PHP-3.01"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
-IUSE=""
-DEPEND=">=dev-lang/php-5.3"
-RDEPEND="${DEPEND}"
-
-src_install() {
-	php-pear-r1_src_install
-	# Remove the documenation generation binary that is specific to this package
-	rm "${D}usr/bin/gen_php_doc.sh" || die
-}

diff --git a/dev-php/PEAR-Var_Dump/PEAR-Var_Dump-1.0.4-r2.ebuild b/dev-php/PEAR-Var_Dump/PEAR-Var_Dump-1.0.4-r2.ebuild
new file mode 100644
index 00000000..edce450
--- /dev/null
+++ b/dev-php/PEAR-Var_Dump/PEAR-Var_Dump-1.0.4-r2.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+MY_PN="${PN/PEAR-/}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Dump structured information about a variable"
+HOMEPAGE="http://pear.php.net/package/${MY_PN}"
+SRC_URI="http://download.pear.php.net/package/${MY_P}.tgz"
+LICENSE="PHP-3.01"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="examples test"
+
+RDEPEND="dev-lang/php:*
+	dev-php/PEAR-PEAR"
+DEPEND="test? ( ${RDEPEND} )"
+
+S="${WORKDIR}/${MY_P}"
+
+# The test suite fails due to some deprecation warnings that are output.
+# The test cases themselves set error_reporting(E_ALL), so there's no
+# easy way to override it.
+RESTRICT=test
+
+src_install() {
+	use examples && dodoc -r docs/example*.php
+
+	insinto /usr/share/php
+	doins "${MY_PN}.php"
+	doins -r "${MY_PN}"
+}
+
+src_test() {
+	# Requires the "pear" executable from dev-php/PEAR-PEAR.
+	pear run-tests tests || die
+
+	# The command succeeds regardless of whether or not the test suite
+	# passed, but this file is only written when there was a failure.
+	[[ -f run-tests.log ]] && die "test suite failed"
+}


^ permalink raw reply related	[flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-php/PEAR-Var_Dump/
@ 2017-03-03 19:29 Brian Evans
  0 siblings, 0 replies; 5+ messages in thread
From: Brian Evans @ 2017-03-03 19:29 UTC (permalink / raw
  To: gentoo-commits

commit:     87b4dc0421814177f2c415b057c5d22346435def
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Fri Mar  3 19:15:13 2017 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Fri Mar  3 19:29:20 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=87b4dc04

dev-php/PEAR-Var_Dump: Revision bump for new eclass

Package-Manager: Portage-2.3.4, Repoman-2.3.2

 .../PEAR-Var_Dump/PEAR-Var_Dump-1.0.4-r3.ebuild    | 33 ++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/dev-php/PEAR-Var_Dump/PEAR-Var_Dump-1.0.4-r3.ebuild b/dev-php/PEAR-Var_Dump/PEAR-Var_Dump-1.0.4-r3.ebuild
new file mode 100644
index 00000000000..707cff167f5
--- /dev/null
+++ b/dev-php/PEAR-Var_Dump/PEAR-Var_Dump-1.0.4-r3.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit php-pear-r2
+
+DESCRIPTION="Dump structured information about a variable"
+LICENSE="PHP-3.01"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="examples test"
+
+DEPEND="test? ( dev-php/PEAR-PEAR )"
+
+# The test suite fails due to some deprecation warnings that are output.
+# The test cases themselves set error_reporting(E_ALL), so there's no
+# easy way to override it.
+RESTRICT=test
+
+src_install() {
+	use examples && dodoc -r docs/example*.php
+	php-pear-r2_src_install
+}
+
+src_test() {
+	# Requires the "pear" executable from dev-php/PEAR-PEAR.
+	pear run-tests tests || die
+
+	# The command succeeds regardless of whether or not the test suite
+	# passed, but this file is only written when there was a failure.
+	[[ -f run-tests.log ]] && die "test suite failed"
+}


^ permalink raw reply related	[flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-php/PEAR-Var_Dump/
@ 2017-03-20  0:25 Michael Orlitzky
  0 siblings, 0 replies; 5+ messages in thread
From: Michael Orlitzky @ 2017-03-20  0:25 UTC (permalink / raw
  To: gentoo-commits

commit:     5eb875809f62033a9ea1a5777a5df3f61d8b415e
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 20 00:25:07 2017 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Mon Mar 20 00:25:07 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5eb87580

dev-php/PEAR-Var_Dump: remove unused version 1.0.4-r2.

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 .../PEAR-Var_Dump/PEAR-Var_Dump-1.0.4-r2.ebuild    | 43 ----------------------
 1 file changed, 43 deletions(-)

diff --git a/dev-php/PEAR-Var_Dump/PEAR-Var_Dump-1.0.4-r2.ebuild b/dev-php/PEAR-Var_Dump/PEAR-Var_Dump-1.0.4-r2.ebuild
deleted file mode 100644
index bc78a2c9495..00000000000
--- a/dev-php/PEAR-Var_Dump/PEAR-Var_Dump-1.0.4-r2.ebuild
+++ /dev/null
@@ -1,43 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-MY_PN="${PN/PEAR-/}"
-MY_P="${MY_PN}-${PV}"
-
-DESCRIPTION="Dump structured information about a variable"
-HOMEPAGE="http://pear.php.net/package/${MY_PN}"
-SRC_URI="http://download.pear.php.net/package/${MY_P}.tgz"
-LICENSE="PHP-3.01"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
-IUSE="examples test"
-
-RDEPEND="dev-lang/php:*
-	dev-php/PEAR-PEAR"
-DEPEND="test? ( ${RDEPEND} )"
-
-S="${WORKDIR}/${MY_P}"
-
-# The test suite fails due to some deprecation warnings that are output.
-# The test cases themselves set error_reporting(E_ALL), so there's no
-# easy way to override it.
-RESTRICT=test
-
-src_install() {
-	use examples && dodoc -r docs/example*.php
-
-	insinto /usr/share/php
-	doins "${MY_PN}.php"
-	doins -r "${MY_PN}"
-}
-
-src_test() {
-	# Requires the "pear" executable from dev-php/PEAR-PEAR.
-	pear run-tests tests || die
-
-	# The command succeeds regardless of whether or not the test suite
-	# passed, but this file is only written when there was a failure.
-	[[ -f run-tests.log ]] && die "test suite failed"
-}


^ permalink raw reply related	[flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-php/PEAR-Var_Dump/
@ 2023-12-08 16:29 Arthur Zamarin
  0 siblings, 0 replies; 5+ messages in thread
From: Arthur Zamarin @ 2023-12-08 16:29 UTC (permalink / raw
  To: gentoo-commits

commit:     e877086bdd645ee83a09c0d77c251973ede70e6c
Author:     Matoro Mahri <matoro_gentoo <AT> matoro <DOT> tk>
AuthorDate: Fri Dec  8 16:20:46 2023 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Dec  8 16:29:31 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e877086b

dev-php/PEAR-Var_Dump: unkeyword 1.0.4-r3 for ~alpha

Bug: https://bugs.gentoo.org/873523
Signed-off-by: Matoro Mahri <matoro_gentoo <AT> matoro.tk>
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-php/PEAR-Var_Dump/PEAR-Var_Dump-1.0.4-r3.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-php/PEAR-Var_Dump/PEAR-Var_Dump-1.0.4-r3.ebuild b/dev-php/PEAR-Var_Dump/PEAR-Var_Dump-1.0.4-r3.ebuild
index 707cff167f52..b385d2302cb6 100644
--- a/dev-php/PEAR-Var_Dump/PEAR-Var_Dump-1.0.4-r3.ebuild
+++ b/dev-php/PEAR-Var_Dump/PEAR-Var_Dump-1.0.4-r3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -8,7 +8,7 @@ inherit php-pear-r2
 DESCRIPTION="Dump structured information about a variable"
 LICENSE="PHP-3.01"
 SLOT="0"
-KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+KEYWORDS="~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
 IUSE="examples test"
 
 DEPEND="test? ( dev-php/PEAR-PEAR )"


^ permalink raw reply related	[flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-php/PEAR-Var_Dump/
@ 2024-07-11 18:47 Viorel Munteanu
  0 siblings, 0 replies; 5+ messages in thread
From: Viorel Munteanu @ 2024-07-11 18:47 UTC (permalink / raw
  To: gentoo-commits

commit:     db340bb0611b2ad1315c4053c8029beaa3a5f4c1
Author:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 11 17:38:26 2024 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Thu Jul 11 18:43:40 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=db340bb0

dev-php/PEAR-Var_Dump: treeclean

Bug: https://bugs.gentoo.org/933998
Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>

 dev-php/PEAR-Var_Dump/Manifest                     |  1 -
 .../PEAR-Var_Dump/PEAR-Var_Dump-1.0.4-r3.ebuild    | 33 ----------------------
 dev-php/PEAR-Var_Dump/metadata.xml                 | 11 --------
 3 files changed, 45 deletions(-)

diff --git a/dev-php/PEAR-Var_Dump/Manifest b/dev-php/PEAR-Var_Dump/Manifest
deleted file mode 100644
index d7658fd7308f..000000000000
--- a/dev-php/PEAR-Var_Dump/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST Var_Dump-1.0.4.tgz 17426 BLAKE2B 60161be980edeae902e64c387b30466511b5cc0e6395f02334346c82e0393577c041fbc272577caa48510303bff3c1bce8e0c3c6708fade04a13b22f28b84b79 SHA512 1d31fcc3519feeee2ec94fc6d8b919672cf4a1be80d6b63c0a52b30792b9c936a7b984033a4357a64cd937193a55daf67fb649444f8303f1332f7d7c793b2e89

diff --git a/dev-php/PEAR-Var_Dump/PEAR-Var_Dump-1.0.4-r3.ebuild b/dev-php/PEAR-Var_Dump/PEAR-Var_Dump-1.0.4-r3.ebuild
deleted file mode 100644
index f36d3bdb44dc..000000000000
--- a/dev-php/PEAR-Var_Dump/PEAR-Var_Dump-1.0.4-r3.ebuild
+++ /dev/null
@@ -1,33 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit php-pear-r2
-
-DESCRIPTION="Dump structured information about a variable"
-LICENSE="PHP-3.01"
-SLOT="0"
-KEYWORDS="~amd64 ~hppa ~ppc64 ~sparc ~x86"
-IUSE="examples test"
-
-DEPEND="test? ( dev-php/PEAR-PEAR )"
-
-# The test suite fails due to some deprecation warnings that are output.
-# The test cases themselves set error_reporting(E_ALL), so there's no
-# easy way to override it.
-RESTRICT=test
-
-src_install() {
-	use examples && dodoc -r docs/example*.php
-	php-pear-r2_src_install
-}
-
-src_test() {
-	# Requires the "pear" executable from dev-php/PEAR-PEAR.
-	pear run-tests tests || die
-
-	# The command succeeds regardless of whether or not the test suite
-	# passed, but this file is only written when there was a failure.
-	[[ -f run-tests.log ]] && die "test suite failed"
-}

diff --git a/dev-php/PEAR-Var_Dump/metadata.xml b/dev-php/PEAR-Var_Dump/metadata.xml
deleted file mode 100644
index 6ead3b8b703f..000000000000
--- a/dev-php/PEAR-Var_Dump/metadata.xml
+++ /dev/null
@@ -1,11 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-	<maintainer type="project">
-		<email>php-bugs@gentoo.org</email>
-		<name>PHP</name>
-	</maintainer>
-	<upstream>
-		<remote-id type="pear">Var_Dump</remote-id>
-	</upstream>
-</pkgmetadata>


^ permalink raw reply related	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2024-07-11 18:47 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-01-08 22:14 [gentoo-commits] repo/gentoo:master commit in: dev-php/PEAR-Var_Dump/ Michael Orlitzky
  -- strict thread matches above, loose matches on Subject: below --
2017-03-03 19:29 Brian Evans
2017-03-20  0:25 Michael Orlitzky
2023-12-08 16:29 Arthur Zamarin
2024-07-11 18:47 Viorel Munteanu

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox